# 32/64bit spec-file
#
Summary:	Pandora Radio client for the GNOME desktop
Name:		pithos
Version:	1.5.0
Release:	%mkrel 2
Source0:	%{name}-%{version}.tar.xz
License:	GNU GPLv3+
Group:		Sound
Url:		http://kevinmehall.net/p/pithos/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Requires:	python3
Requires:	python3-cairo
Requires:	python3-gobject3
Requires:	python3-pyxdg
Requires:	python-dbus
Requires:	gtk+3.0
Requires:	gstreamer1.0-plugins-base
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-plugins-bad
Requires:	gstreamer1.0-plugins-ugly
Obsoletes: %{name} < %version

%description
Pithos is a cross-platform desktop client for the personalized web
radio Pandora, supporting all important features the official Flash™
client has. 

Pithos was based on pianobar, a console client for Pandora. In addition
to sporting a GTK+ GUI, Pithos has feature-parity with pianobar.

Out of concern for the longevity of Pandora Media Inc., the 
software authors would recommend subscribing to Pandora One.

You need an account in order to use this player, so please consider
create one for free before using pianobar at http://pandora.com.


%prep
%setup -q


%install
rm -rf %{buildroot}
%meson
%meson_build
%meson_install

#MENU Entry
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AudioVideo" \
  --remove-category="Player" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

# Remove Unity specific icons
rm -rf %{buildroot}%{_datadir}/icons/ubuntu*

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
/usr/bin/pithos
/usr/share/applications/io.github.Pithos.desktop
/usr/share/dbus-1/services/io.github.Pithos.service
/usr/share/glib-2.0/schemas/io.github.Pithos.gschema.xml
/usr/share/icons/hicolor/48x48/apps/io.github.Pithos-tray.png
/usr/share/icons/hicolor/scalable/apps/io.github.Pithos-tray.svg
/usr/share/icons/hicolor/scalable/apps/io.github.Pithos.svg
/usr/share/icons/hicolor/symbolic/apps/io.github.Pithos-symbolic.svg
/usr/share/man/man1/pithos.1.bz2
/usr/share/metainfo/io.github.Pithos.appdata.xml
/usr/share/pithos/pithos.gresource
/usr/share/pithos/pithos/AboutPithosDialog.py
/usr/share/pithos/pithos/PreferencesPithosDialog.py
/usr/share/pithos/pithos/SearchDialog.py
/usr/share/pithos/pithos/StationsDialog.py
/usr/share/pithos/pithos/StationsPopover.py
/usr/share/pithos/pithos/__init__.py
/usr/share/pithos/pithos/__main__.py
/usr/share/pithos/pithos/__pycache__/AboutPithosDialog.cpython-36.opt-2.pyc
/usr/share/pithos/pithos/__pycache__/PreferencesPithosDialog.cpython-36.opt-2.pyc
/usr/share/pithos/pithos/__pycache__/SearchDialog.cpython-36.opt-2.pyc
/usr/share/pithos/pithos/__pycache__/StationsDialog.cpython-36.opt-2.pyc
/usr/share/pithos/pithos/__pycache__/StationsPopover.cpython-36.opt-2.pyc
/usr/share/pithos/pithos/__pycache__/__init__.cpython-36.opt-2.pyc
/usr/share/pithos/pithos/__pycache__/__main__.cpython-36.opt-2.pyc
/usr/share/pithos/pithos/__pycache__/application.cpython-36.opt-2.pyc
/usr/share/pithos/pithos/__pycache__/gi_composites.cpython-36.opt-2.pyc
/usr/share/pithos/pithos/__pycache__/gobject_worker.cpython-36.opt-2.pyc
/usr/share/pithos/pithos/__pycache__/migrate_settings.cpython-36.opt-2.pyc
/usr/share/pithos/pithos/__pycache__/pithos.cpython-36.opt-2.pyc
/usr/share/pithos/pithos/__pycache__/plugin.cpython-36.opt-2.pyc
/usr/share/pithos/pithos/__pycache__/util.cpython-36.opt-2.pyc
/usr/share/pithos/pithos/application.py
/usr/share/pithos/pithos/gi_composites.py
/usr/share/pithos/pithos/gobject_worker.py
/usr/share/pithos/pithos/migrate_settings.py
/usr/share/pithos/pithos/pandora/__init__.py
/usr/share/pithos/pithos/pandora/__pycache__/__init__.cpython-36.opt-2.pyc
/usr/share/pithos/pithos/pandora/__pycache__/blowfish.cpython-36.opt-2.pyc
/usr/share/pithos/pithos/pandora/__pycache__/data.cpython-36.opt-2.pyc
/usr/share/pithos/pithos/pandora/__pycache__/fake.cpython-36.opt-2.pyc
/usr/share/pithos/pithos/pandora/__pycache__/pandora.cpython-36.opt-2.pyc
/usr/share/pithos/pithos/pandora/blowfish.py
/usr/share/pithos/pithos/pandora/data.py
/usr/share/pithos/pithos/pandora/fake.py
/usr/share/pithos/pithos/pandora/pandora.py
/usr/share/pithos/pithos/pithos.py
/usr/share/pithos/pithos/plugin.py
/usr/share/pithos/pithos/plugins/10_band_equalizer.py
/usr/share/pithos/pithos/plugins/__init__.py
/usr/share/pithos/pithos/plugins/__pycache__/10_band_equalizer.cpython-36.opt-2.pyc
/usr/share/pithos/pithos/plugins/__pycache__/__init__.cpython-36.opt-2.pyc
/usr/share/pithos/pithos/plugins/__pycache__/auto_volume_normalization.cpython-36.opt-2.pyc
/usr/share/pithos/pithos/plugins/__pycache__/inhibit_screensaver.cpython-36.opt-2.pyc
/usr/share/pithos/pithos/plugins/__pycache__/journald_logging.cpython-36.opt-2.pyc
/usr/share/pithos/pithos/plugins/__pycache__/lastfm.cpython-36.opt-2.pyc
/usr/share/pithos/pithos/plugins/__pycache__/mediakeys.cpython-36.opt-2.pyc
/usr/share/pithos/pithos/plugins/__pycache__/mpris.cpython-36.opt-2.pyc
/usr/share/pithos/pithos/plugins/__pycache__/notification_icon.cpython-36.opt-2.pyc
/usr/share/pithos/pithos/plugins/__pycache__/notify.cpython-36.opt-2.pyc
/usr/share/pithos/pithos/plugins/__pycache__/screensaver_pause.cpython-36.opt-2.pyc
/usr/share/pithos/pithos/plugins/auto_volume_normalization.py
/usr/share/pithos/pithos/plugins/dbus_util/DBusServiceObject.py
/usr/share/pithos/pithos/plugins/dbus_util/__pycache__/DBusServiceObject.cpython-36.opt-2.pyc
/usr/share/pithos/pithos/plugins/inhibit_screensaver.py
/usr/share/pithos/pithos/plugins/journald_logging.py
/usr/share/pithos/pithos/plugins/lastfm.py
/usr/share/pithos/pithos/plugins/mediakeys.py
/usr/share/pithos/pithos/plugins/mpris.py
/usr/share/pithos/pithos/plugins/notification_icon.py
/usr/share/pithos/pithos/plugins/notify.py
/usr/share/pithos/pithos/plugins/screensaver_pause.py
/usr/share/pithos/pithos/util.py
   
%post
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
%update_menus

%postun
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
%clean_menus

%changelog
* Sun Dec 29 2019 tex - 1.5.0-2pclos2020
- fix duplicate menu entry

* Mon Dec 23 2019 tex - 1.5.0-1pclos2020
- new version

* Thu Mar 29 2018 bb2 <bb2> - 1.4.1-1pclos2018
- new version
